unstack {raster} | R Documentation

## Unstack

### Description

Create a list of RasterLayer objects from a RasterStack or RasterBrick

### Usage

    unstack(x, ...)

### Arguments

`x` | a RasterStack object
`...` | not used. further arguments passed to or from other methods

### Value

A list of RasterLayer objects

### See Also

`stack`

### Examples

      file <- system.file("external/test.grd", package="raster")
      s <- stack(file, file)
      list1 <- unstack(s)
      b <- brick(s)
      list2 <- unstack(b)

[Package raster version 2.5-2 Index]